none
sql server兼容性不问题不支持降级路径。 RRS feed

  • 问题

  • 我今天将一个sql2005数据创建数据库,附加到sql2008,数据库兼容性级别是sql2005,为什么我在附加到sql2005中说些服务器支持611或更低版本,不支持降级路径。

    我的电脑上一直装有sql2005和sql2008因为作接外面项目会用sql2005数据库,但我们公司项目是sql2008。我今天看到sql2008可以兼容sql2005,sql2000。所以我想试一下能不能只装一个sql2008就可以呢?

    到底sql2008兼容属性,到底是不是这个意思呀!像vs2010那样


    man
    2011年3月27日 1:31

答案

  • 这个兼容性 只是说明某些sql语法的兼容,而不是对数据库文件本身的兼容。

    2008可以兼容2005的库文件,但是2005不能兼容2008的。

     


    family as water
    • 已标记为答案 Mr Air 2011年3月28日 23:42
    2011年3月27日 2:37

全部回复